org.jboss.netty.handler.codec.spdy

## Class DefaultSpdyRstStreamFrame

- java.lang.Object
- - org.jboss.netty.handler.codec.spdy.DefaultSpdyRstStreamFrame

All Implemented Interfaces:
  SpdyRstStreamFrame

    public class DefaultSpdyRstStreamFrame
    extends Object
    implements SpdyRstStreamFrame

The default `SpdyRstStreamFrame` implementation.

### Constructor Summary

Constructors
Constructor and Description
`DefaultSpdyRstStreamFrame(int streamId, int statusCode)` Creates a new instance.
`DefaultSpdyRstStreamFrame(int streamId, SpdyStreamStatus status)` Creates a new instance.

### Method Summary

Methods
`SpdyStreamStatus` `getStatus()` Returns the status of this frame.
`int` `getStreamId()` Returns the Stream-ID of this frame.
`int` `getStreamID()`
`void` `setStatus(SpdyStreamStatus status)` Sets the status of this frame.
`void` `setStreamId(int streamId)` Sets the Stream-ID of this frame.
`void` `setStreamID(int streamId)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DefaultSpdyRstStreamFrame

    public DefaultSpdyRstStreamFrame(int streamId,
                             int statusCode)

Creates a new instance.

Parameters:
  `streamId` - the Stream-ID of this frame
  `statusCode` - the Status code of this frame

#### DefaultSpdyRstStreamFrame

    public DefaultSpdyRstStreamFrame(int streamId,
                             SpdyStreamStatus status)

Creates a new instance.

Parameters:
  `streamId` - the Stream-ID of this frame
  `status` - the status of this frame

### Method Detail

#### getStreamID

    public int getStreamID()

Specified by:
  `getStreamID` in interface `SpdyRstStreamFrame`

#### getStreamId

    public int getStreamId()

Description copied from interface: `SpdyRstStreamFrame`
Returns the Stream-ID of this frame.

Specified by:
  `getStreamId` in interface `SpdyRstStreamFrame`

#### setStreamID

    public void setStreamID(int streamId)

Specified by:
  `setStreamID` in interface `SpdyRstStreamFrame`

#### setStreamId

    public void setStreamId(int streamId)

Description copied from interface: `SpdyRstStreamFrame`
Sets the Stream-ID of this frame. The Stream-ID must be positive.

Specified by:
  `setStreamId` in interface `SpdyRstStreamFrame`

#### getStatus

    public SpdyStreamStatus getStatus()

Description copied from interface: `SpdyRstStreamFrame`
Returns the status of this frame.

Specified by:
  `getStatus` in interface `SpdyRstStreamFrame`

#### setStatus

    public void setStatus(SpdyStreamStatus status)

Description copied from interface: `SpdyRstStreamFrame`
Sets the status of this frame.

Specified by:
  `setStatus` in interface `SpdyRstStreamFrame`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`